package com.steering.mes.mcp.entity;

@SuppressWarnings("serial")
public class Tqnqc01Entity implements java.io.Serializable{
	/**
     * 记录创建责任者
     */
    private String recCreator = "";
    /**
     * 记录创建时刻
     */
    private String recCreateTime = "";
    /**
     * 记录修改责任者
     */
    private String recRevisor = "";
    /**
     * 记录修改时刻
     */
    private String recReviseTime = "";
    /**
     * 归档标记
     */
    private String archiveFlag = "";
    /**
     * 修改/删除标记
     */
    private String duFlag = "";
    /**
     * 修改/删除责任者
     */
    private String duMaker = "";
    /**
     * 修改/删除时间
     */
    private String duTime = "";
    /**
     * 版次
     */
    private String version = "";
    /**
     * 原料名称
     */
    private String materialName = "";
    /**
     * C元素品位
     */
    private String elemntC = "";
    /**
     * Mn元素品位
     */
    private String elemntMn = "";
    /**
     * Si元素品位
     */
    private String elemntSi = "";
    /**
     * P元素品位
     */
    private String elemntP = "";
    /**
     * S元素品位
     */
    private String elemntS = "";
    /**
     * Cr元素品位
     */
    private String elemntCr = "";
    /**
     * Ni元素品位
     */
    private String elemntNi = "";
    /**
     * Mo元素品位
     */
    private String elemntMo = "";
    /**
     * V元素品位
     */
    private String elemntV = "";
    /**
     * Nb元素品位
     */
    private String elemntNb = "";
    /**
     * AI元素品位
     */
    private String elemntA1 = "";
    /**
     * Ti元素品位
     */
    private String elemntTi = "";
    /**
     * B元素品位
     */
    private String elemntB = "";
    /**
     * N元素品位
     */
    private String elemntN = "";
    /**
     * Ca元素品位
     */
    private String elemntCa = "";
    /**
     * Cu元素品位
     */
    private String elemntCu = "";
    /**
     * W元素品位
     */
    private String elemntW = "";
    /**
     * Co元素品位
     */
    private String elemntCo = "";
    /**
     * Als元素品位
     */
    private String elemntAls = "";
    /**
     * As元素品位
     */
    private String elemntAs = "";
    /**
     * Pb元素品位
     */
    private String elemntPb = "";
    /**
     * Sb元素品位
     */
    private String elemntSb = "";
    /**
     * Sn元素品位
     */
    private String elemntSn = "";
    /**
     * Bi元素品位
     */
    private String elemntBi = "";
    /**
     * Mg元素品位
     */
    private String elemntMg = "";
    /**
     * Zr元素品位
     */
    private String elemntZr = "";
    /**
     * La元素品位
     */
    private String elemntLa = "";
    /**
     * Ce元素品位
     */
    private String elemntCe = "";
    /**
     * Se元素品位
     */
    private String elemntSe = "";
    /**
     * Cd元素品位
     */
    private String elemntCd = "";
    /**
     * Bs元素品位
     */
    private String elemntBs = "";
    /**
     * Aln元素品位
     */
    private String elemntAln = "";
    /**
     * Bn元素品位
     */
    private String elemntBn = "";
    /**
     * Fe元素品位
     */
    private String elemntFe = "";
    /**
     * 备用元素品位1
     */
    private String elemntBak1 = "";
    /**
     * 备用元素品位2
     */
    private String elemntBak2 = "";
    /**
     * 备用元素品位3
     */
    private String elemntBak3 = "";
    /**
     * 备用元素品位4
     */
    private String elemntBak4 = "";
    /**
     * 备用元素品位5
     */
    private String elemntBak5 = "";
    /**
     * 备用元素品位6
     */
    private String elemntBak6 = "";
    /**
     * 备用元素品位7
     */
    private String elemntBak7 = "";
    /**
     * 备用元素品位8
     */
    private String elemntBak8 = "";
    /**
     * 备用元素品位9
     */
    private String elemntBak9 = "";
    /**
     * 备用元素品位10
     */
    private String elemntBak10 = "";
    /**
     * 物料编码
     */
    private String materialCode = "";

    /**
     * 记录创建责任者
     * @return value
     */
    public String getRecCreator() {
        return recCreator;
    }

    /**
     * 记录创建责任者
     * @param recCreator value
     */
    public void setRecCreator(String recCreator) {
        this.recCreator = recCreator;
    }

    /**
     * 记录创建时刻
     * @return value
     */
    public String getRecCreateTime() {
        return recCreateTime;
    }

    /**
     * 记录创建时刻
     * @param recCreateTime value
     */
    public void setRecCreateTime(String recCreateTime) {
        this.recCreateTime = recCreateTime;
    }

    /**
     * 记录修改责任者
     * @return value
     */
    public String getRecRevisor() {
        return recRevisor;
    }

    /**
     * 记录修改责任者
     * @param recRevisor value
     */
    public void setRecRevisor(String recRevisor) {
        this.recRevisor = recRevisor;
    }

    /**
     * 记录修改时刻
     * @return value
     */
    public String getRecReviseTime() {
        return recReviseTime;
    }

    /**
     * 记录修改时刻
     * @param recReviseTime value
     */
    public void setRecReviseTime(String recReviseTime) {
        this.recReviseTime = recReviseTime;
    }

    /**
     * 归档标记
     * @return value
     */
    public String getArchiveFlag() {
        return archiveFlag;
    }

    /**
     * 归档标记
     * @param archiveFlag value
     */
    public void setArchiveFlag(String archiveFlag) {
        this.archiveFlag = archiveFlag;
    }

    /**
     * 修改/删除标记
     * @return value
     */
    public String getDuFlag() {
        return duFlag;
    }

    /**
     * 修改/删除标记
     * @param duFlag value
     */
    public void setDuFlag(String duFlag) {
        this.duFlag = duFlag;
    }

    /**
     * 修改/删除责任者
     * @return value
     */
    public String getDuMaker() {
        return duMaker;
    }

    /**
     * 修改/删除责任者
     * @param duMaker value
     */
    public void setDuMaker(String duMaker) {
        this.duMaker = duMaker;
    }

    /**
     * 修改/删除时间
     * @return value
     */
    public String getDuTime() {
        return duTime;
    }

    /**
     * 修改/删除时间
     * @param duTime value
     */
    public void setDuTime(String duTime) {
        this.duTime = duTime;
    }

    /**
     * 版次
     * @return value
     */
    public String getVersion() {
        return version;
    }

    /**
     * 版次
     * @param version value
     */
    public void setVersion(String version) {
        this.version = version;
    }

    /**
     * 原料名称
     * @return value
     */
    public String getMaterialName() {
        return materialName;
    }

    /**
     * 原料名称
     * @param materialName value
     */
    public void setMaterialName(String materialName) {
        this.materialName = materialName;
    }

    /**
     * C元素品位
     * @return value
     */
    public String getElemntC() {
        return elemntC;
    }

    /**
     * C元素品位
     * @param elemntC value
     */
    public void setElemntC(String elemntC) {
        this.elemntC = elemntC;
    }

    /**
     * Mn元素品位
     * @return value
     */
    public String getElemntMn() {
        return elemntMn;
    }

    /**
     * Mn元素品位
     * @param elemntMn value
     */
    public void setElemntMn(String elemntMn) {
        this.elemntMn = elemntMn;
    }

    /**
     * Si元素品位
     * @return value
     */
    public String getElemntSi() {
        return elemntSi;
    }

    /**
     * Si元素品位
     * @param elemntSi value
     */
    public void setElemntSi(String elemntSi) {
        this.elemntSi = elemntSi;
    }

    /**
     * P元素品位
     * @return value
     */
    public String getElemntP() {
        return elemntP;
    }

    /**
     * P元素品位
     * @param elemntP value
     */
    public void setElemntP(String elemntP) {
        this.elemntP = elemntP;
    }

    /**
     * S元素品位
     * @return value
     */
    public String getElemntS() {
        return elemntS;
    }

    /**
     * S元素品位
     * @param elemntS value
     */
    public void setElemntS(String elemntS) {
        this.elemntS = elemntS;
    }

    /**
     * Cr元素品位
     * @return value
     */
    public String getElemntCr() {
        return elemntCr;
    }

    /**
     * Cr元素品位
     * @param elemntCr value
     */
    public void setElemntCr(String elemntCr) {
        this.elemntCr = elemntCr;
    }

    /**
     * Ni元素品位
     * @return value
     */
    public String getElemntNi() {
        return elemntNi;
    }

    /**
     * Ni元素品位
     * @param elemntNi value
     */
    public void setElemntNi(String elemntNi) {
        this.elemntNi = elemntNi;
    }

    /**
     * Mo元素品位
     * @return value
     */
    public String getElemntMo() {
        return elemntMo;
    }

    /**
     * Mo元素品位
     * @param elemntMo value
     */
    public void setElemntMo(String elemntMo) {
        this.elemntMo = elemntMo;
    }

    /**
     * V元素品位
     * @return value
     */
    public String getElemntV() {
        return elemntV;
    }

    /**
     * V元素品位
     * @param elemntV value
     */
    public void setElemntV(String elemntV) {
        this.elemntV = elemntV;
    }

    /**
     * Nb元素品位
     * @return value
     */
    public String getElemntNb() {
        return elemntNb;
    }

    /**
     * Nb元素品位
     * @param elemntNb value
     */
    public void setElemntNb(String elemntNb) {
        this.elemntNb = elemntNb;
    }

    /**
     * AI元素品位
     * @return value
     */
    public String getElemntA1() {
        return elemntA1;
    }

    /**
     * AI元素品位
     * @param elemntA1 value
     */
    public void setElemntA1(String elemntA1) {
        this.elemntA1 = elemntA1;
    }

    /**
     * Ti元素品位
     * @return value
     */
    public String getElemntTi() {
        return elemntTi;
    }

    /**
     * Ti元素品位
     * @param elemntTi value
     */
    public void setElemntTi(String elemntTi) {
        this.elemntTi = elemntTi;
    }

    /**
     * B元素品位
     * @return value
     */
    public String getElemntB() {
        return elemntB;
    }

    /**
     * B元素品位
     * @param elemntB value
     */
    public void setElemntB(String elemntB) {
        this.elemntB = elemntB;
    }

    /**
     * N元素品位
     * @return value
     */
    public String getElemntN() {
        return elemntN;
    }

    /**
     * N元素品位
     * @param elemntN value
     */
    public void setElemntN(String elemntN) {
        this.elemntN = elemntN;
    }

    /**
     * Ca元素品位
     * @return value
     */
    public String getElemntCa() {
        return elemntCa;
    }

    /**
     * Ca元素品位
     * @param elemntCa value
     */
    public void setElemntCa(String elemntCa) {
        this.elemntCa = elemntCa;
    }

    /**
     * Cu元素品位
     * @return value
     */
    public String getElemntCu() {
        return elemntCu;
    }

    /**
     * Cu元素品位
     * @param elemntCu value
     */
    public void setElemntCu(String elemntCu) {
        this.elemntCu = elemntCu;
    }

    /**
     * W元素品位
     * @return value
     */
    public String getElemntW() {
        return elemntW;
    }

    /**
     * W元素品位
     * @param elemntW value
     */
    public void setElemntW(String elemntW) {
        this.elemntW = elemntW;
    }

    /**
     * Co元素品位
     * @return value
     */
    public String getElemntCo() {
        return elemntCo;
    }

    /**
     * Co元素品位
     * @param elemntCo value
     */
    public void setElemntCo(String elemntCo) {
        this.elemntCo = elemntCo;
    }

    /**
     * Als元素品位
     * @return value
     */
    public String getElemntAls() {
        return elemntAls;
    }

    /**
     * Als元素品位
     * @param elemntAls value
     */
    public void setElemntAls(String elemntAls) {
        this.elemntAls = elemntAls;
    }

    /**
     * As元素品位
     * @return value
     */
    public String getElemntAs() {
        return elemntAs;
    }

    /**
     * As元素品位
     * @param elemntAs value
     */
    public void setElemntAs(String elemntAs) {
        this.elemntAs = elemntAs;
    }

    /**
     * Pb元素品位
     * @return value
     */
    public String getElemntPb() {
        return elemntPb;
    }

    /**
     * Pb元素品位
     * @param elemntPb value
     */
    public void setElemntPb(String elemntPb) {
        this.elemntPb = elemntPb;
    }

    /**
     * Sb元素品位
     * @return value
     */
    public String getElemntSb() {
        return elemntSb;
    }

    /**
     * Sb元素品位
     * @param elemntSb value
     */
    public void setElemntSb(String elemntSb) {
        this.elemntSb = elemntSb;
    }

    /**
     * Sn元素品位
     * @return value
     */
    public String getElemntSn() {
        return elemntSn;
    }

    /**
     * Sn元素品位
     * @param elemntSn value
     */
    public void setElemntSn(String elemntSn) {
        this.elemntSn = elemntSn;
    }

    /**
     * Bi元素品位
     * @return value
     */
    public String getElemntBi() {
        return elemntBi;
    }

    /**
     * Bi元素品位
     * @param elemntBi value
     */
    public void setElemntBi(String elemntBi) {
        this.elemntBi = elemntBi;
    }

    /**
     * Mg元素品位
     * @return value
     */
    public String getElemntMg() {
        return elemntMg;
    }

    /**
     * Mg元素品位
     * @param elemntMg value
     */
    public void setElemntMg(String elemntMg) {
        this.elemntMg = elemntMg;
    }

    /**
     * Zr元素品位
     * @return value
     */
    public String getElemntZr() {
        return elemntZr;
    }

    /**
     * Zr元素品位
     * @param elemntZr value
     */
    public void setElemntZr(String elemntZr) {
        this.elemntZr = elemntZr;
    }

    /**
     * La元素品位
     * @return value
     */
    public String getElemntLa() {
        return elemntLa;
    }

    /**
     * La元素品位
     * @param elemntLa value
     */
    public void setElemntLa(String elemntLa) {
        this.elemntLa = elemntLa;
    }

    /**
     * Ce元素品位
     * @return value
     */
    public String getElemntCe() {
        return elemntCe;
    }

    /**
     * Ce元素品位
     * @param elemntCe value
     */
    public void setElemntCe(String elemntCe) {
        this.elemntCe = elemntCe;
    }

    /**
     * Se元素品位
     * @return value
     */
    public String getElemntSe() {
        return elemntSe;
    }

    /**
     * Se元素品位
     * @param elemntSe value
     */
    public void setElemntSe(String elemntSe) {
        this.elemntSe = elemntSe;
    }

    /**
     * Cd元素品位
     * @return value
     */
    public String getElemntCd() {
        return elemntCd;
    }

    /**
     * Cd元素品位
     * @param elemntCd value
     */
    public void setElemntCd(String elemntCd) {
        this.elemntCd = elemntCd;
    }

    /**
     * Bs元素品位
     * @return value
     */
    public String getElemntBs() {
        return elemntBs;
    }

    /**
     * Bs元素品位
     * @param elemntBs value
     */
    public void setElemntBs(String elemntBs) {
        this.elemntBs = elemntBs;
    }

    /**
     * Aln元素品位
     * @return value
     */
    public String getElemntAln() {
        return elemntAln;
    }

    /**
     * Aln元素品位
     * @param elemntAln value
     */
    public void setElemntAln(String elemntAln) {
        this.elemntAln = elemntAln;
    }

    /**
     * Bn元素品位
     * @return value
     */
    public String getElemntBn() {
        return elemntBn;
    }

    /**
     * Bn元素品位
     * @param elemntBn value
     */
    public void setElemntBn(String elemntBn) {
        this.elemntBn = elemntBn;
    }

    /**
     * Fe元素品位
     * @return value
     */
    public String getElemntFe() {
        return elemntFe;
    }

    /**
     * Fe元素品位
     * @param elemntFe value
     */
    public void setElemntFe(String elemntFe) {
        this.elemntFe = elemntFe;
    }

    /**
     * 备用元素品位1
     * @return value
     */
    public String getElemntBak1() {
        return elemntBak1;
    }

    /**
     * 备用元素品位1
     * @param elemntBak1 value
     */
    public void setElemntBak1(String elemntBak1) {
        this.elemntBak1 = elemntBak1;
    }

    /**
     * 备用元素品位2
     * @return value
     */
    public String getElemntBak2() {
        return elemntBak2;
    }

    /**
     * 备用元素品位2
     * @param elemntBak2 value
     */
    public void setElemntBak2(String elemntBak2) {
        this.elemntBak2 = elemntBak2;
    }

    /**
     * 备用元素品位3
     * @return value
     */
    public String getElemntBak3() {
        return elemntBak3;
    }

    /**
     * 备用元素品位3
     * @param elemntBak3 value
     */
    public void setElemntBak3(String elemntBak3) {
        this.elemntBak3 = elemntBak3;
    }

    /**
     * 备用元素品位4
     * @return value
     */
    public String getElemntBak4() {
        return elemntBak4;
    }

    /**
     * 备用元素品位4
     * @param elemntBak4 value
     */
    public void setElemntBak4(String elemntBak4) {
        this.elemntBak4 = elemntBak4;
    }

    /**
     * 备用元素品位5
     * @return value
     */
    public String getElemntBak5() {
        return elemntBak5;
    }

    /**
     * 备用元素品位5
     * @param elemntBak5 value
     */
    public void setElemntBak5(String elemntBak5) {
        this.elemntBak5 = elemntBak5;
    }

    /**
     * 备用元素品位6
     * @return value
     */
    public String getElemntBak6() {
        return elemntBak6;
    }

    /**
     * 备用元素品位6
     * @param elemntBak6 value
     */
    public void setElemntBak6(String elemntBak6) {
        this.elemntBak6 = elemntBak6;
    }

    /**
     * 备用元素品位7
     * @return value
     */
    public String getElemntBak7() {
        return elemntBak7;
    }

    /**
     * 备用元素品位7
     * @param elemntBak7 value
     */
    public void setElemntBak7(String elemntBak7) {
        this.elemntBak7 = elemntBak7;
    }

    /**
     * 备用元素品位8
     * @return value
     */
    public String getElemntBak8() {
        return elemntBak8;
    }

    /**
     * 备用元素品位8
     * @param elemntBak8 value
     */
    public void setElemntBak8(String elemntBak8) {
        this.elemntBak8 = elemntBak8;
    }

    /**
     * 备用元素品位9
     * @return value
     */
    public String getElemntBak9() {
        return elemntBak9;
    }

    /**
     * 备用元素品位9
     * @param elemntBak9 value
     */
    public void setElemntBak9(String elemntBak9) {
        this.elemntBak9 = elemntBak9;
    }

    /**
     * 备用元素品位10
     * @return value
     */
    public String getElemntBak10() {
        return elemntBak10;
    }

    /**
     * 备用元素品位10
     * @param elemntBak10 value
     */
    public void setElemntBak10(String elemntBak10) {
        this.elemntBak10 = elemntBak10;
    }

    /**
     * 物料编码
     * @return value
     */
    public String getMaterialCode() {
        return materialCode;
    }

    /**
     * 物料编码
     * @param materialCode value
     */
    public void setMaterialCode(String materialCode) {
        this.materialCode = materialCode;
    }

}
